.blog {
  width: 100%;
  max-width: 1200px;
  margin: auto;
  padding: 0 40px;
  overflow: auto;
  overflow-x: hidden;
  zoom: 1;
}

.blog .content {
  padding-top: 49px;
  max-width: 640px;
  padding-bottom: 80px;
  float: left;
}

.blog h1 {
  line-height: 1.2;
  margin-bottom: .05em;
  font-size: 264%;
}

.blog h5 {
  font-size: 12px;
  color: #444;
}

.blog article h2 {
  margin-top: 1.4em;
}

.blog article em {
  font-style: italic;
}

.blog p {
  line-height: 1.4;
  margin-bottom: 1.2em;
}

.blog img {
  width: 100%;
  margin-bottom: .6em;
}

.blog .img_sub {
  font-size: 14px;
  margin-bottom: 2em;
  margin-top: -1.4em;
  /* text-align: right; */
  color: #666;
}

.blog p code {
  padding: 2px 5px;
  font-family: "Inconsolata", monospace;
  background-color: #f4f4f4;
  border-radius: 3px;
  text-shadow: 0 1px 0 #fff;
  overflow: auto;
  font-size: 90%;
}

.blog pre code {
  padding: 2px 5px;
  font-family: "Inconsolata", monospace;
  background-color: #f8f8f8;
  border: 1px solid #cacaca;
  border-bottom: 2px solid #cacaca;
  border-radius: 3px;
  overflow: auto;
  font-size: 94%;
  line-height: 22px;
  padding: 10px 15px;
  display: block;
  font-size: 100%;
}

.blog pre {
  margin-bottom: 1.8em;
}

.blog i {
  font-style: italic;
}

.blog .spacer, hr {
  display: block;
  border: none;
  width: 37px;
  height: 2px;
  background: #ddd;
  margin: 2em auto 2.6em auto;
}

.blog .social_buttons {
  margin-top: .8em;
  margin-bottom: 1.2em;
  height: 30px;
  vertical-align: top;
  line-height: 11px;
  overflow: hidden;
}

.blog .social_buttons > div {
  display: inline-block;
  margin-right: 8px;
}

.blog .sidebar_right {
  width: 320px;
  float: right;
  margin-top: 43px;
  border-left: 1px solid #ddd;
  box-sizing: content-box;
  padding-left: 35px;
  padding-top: 20px;
  padding-bottom: 49px;
}

@media (max-width: 1115px) {
  .blog .content {
    width: 100%;
    float: none;
    padding-bottom: 10px;
  }

  .blog .sidebar_right {
    float: none;
    border: none;
    margin-top: 0;
    padding: 0 0 80px 0;
    max-width: 640px;
    width: 100%;
  }

  .blog .sidebar_right .desktop_only {
    display: none;
  }
}

@media (max-width: 960px) {
  .blog {
    padding-left: 20px;
    padding-right: 20px;
  }

  .blog .sidebar_right {
    padding: 0;
  }

  .blog img {
    margin-left: -20px;
    margin-right: -20px;
    width: calc(100% + 40px);
  }
}

.blog .sidebar_right h4 {
  font-size: 20px;
  font-weight: 400;
  color: #888;
}

.blog .box {
  background: #f5f5f5;
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  padding: 10px 26px 0 26px;
}

.blog .sidebar_right ul.features li {
  list-style-type: none;
}

.blog .sidebar_right ul.features li a {
  text-decoration: none;
  color: #2f7bbf;
  font-size: 14px;
  display: block;
  position: relative;
  border-top: 1px solid #eee;
  padding: 12px 0 12px 5px;
}

.blog .sidebar_right ul.features li a:after {
  border: 0.4rem solid transparent;
  border-left-color: #2f7bbf;
  content: '';
  display: block;
  height: 0;
  margin-top: -0.4rem;
  position: absolute;
  top: 50%;
  right: 0.75rem;
  width: 0;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  -ms-border-radius: 2px;
  -o-border-radius: 2px;
  border-radius: 2px;
}

.blog .sidebar_right ul.features li:hover a {
  background: #6E5371;
  color: #fff;
  margin-left: -10px;
  padding-left: 15px;
}

.blog .sidebar_right ul.features li:hover a:after {
  border-left-color: #fff;
}

.blog .content ul {
  margin-left: 2em;
  margin-bottom: 1em;
}

.blog .content h4 + ul {
  margin-top: .6em;
}

.blog .content p a, .blog .content ul a, .blog a.link {
  color: #2f7bbf;
  text-decoration: none;
}

.blog .content p a:hover, .blog .content ul a:hover, .blog a.link:hover {
  text-decoration: underline;
}

.blog .footnotes:before {
  border-top: 2px solid #ddd;
  width: 42px;
  display: block;
  content: " ";
  margin-bottom: 1em;
}

.blog .footnotes {
  padding-top: 1em;
}

.blog .footnotes p {
  font-size: 14px;
}

.blog .entry_preview {
  padding-bottom: 1em;
  margin-bottom: 2em;
  border-bottom: 2px solid #eee;
}

.blog .entry_preview h2 {
  margin-bottom: 0;
  font-size: 28px;
  line-height: 1.3;
}

.blog .entry_preview h2 a {
  color: inherit;
  text-decoration: none;
}

.blog .entry_preview h2 a:hover {
  color: #2f7bbf;
  cursor: pointer;
}

.blog .entry_preview h5 {
  margin-bottom: 1em;
}

.blog .entry_preview p {
  margin-bottom: .6em;
}
